#include "hal_product_config.h"
#include "hal_interface_ircut.h"
#include "hal_interface_gpio.h"
#include "mmc.h"

#include "hlog.h"

void hal_ircut_switch(IRCUT_MODE mode){
	if (mode != IRCUT_UNKNOWN){
		hal_gpio_output(GPIO_IRCUT_ENB, mode == IRCUT_DAY);
		hal_gpio_output(GPIO_IRCUT_FBC, mode != IRCUT_DAY);
		hv_msleep(150);
		hal_gpio_output(GPIO_IRCUT_ENB,0);
		hal_gpio_output(GPIO_IRCUT_FBC,0);
	}
}


